Fetch a specific group using its ID

Purpose: Use this API to find a specific group using its ID. You must specify the ID as a path parameter. Ensure that you are entering the exact ID for the endpoint to fetch the info of the group.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/groups/3')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body

Response Parameters

Group

  • Type: Object
  • Description: Details of a specific group.

id

  • Type: Integer
  • Description: The unique identifier for the group.

name

  • Type: String
  • Description: The name of the group.

company_id

  • Type: Integer
  • Description: The unique identifier for the company associated with the group.

user

  • Type: Object
  • Description: Details about the user associated with the group.

id

  • Type: Integer
  • Description: The unique identifier for the user.

first_name

  • Type: String
  • Description: The first name of the user.

last_name

  • Type: String
  • Description: The last name of the user.

username

  • Type: String or null
  • Description: The username of the user, if available.

email

  • Type: String
  • Description: The email address of the user.

driver_company_id

  • Type: Integer or null
  • Description: The unique identifier for the company associated with the driver, if available.

status

  • Type: String
  • Description: The status of the user.

role

  • Type: String
  • Description: The role of the user within the company.

Path Params
int32
required

Specify the ID of the group that you want to fetch.

Headers
string

Specify the timezone for formatting the timestamps.

boolean

Specify if you want to use the Metric units or the Imperial units. TRUE: Metric units. FALSE: Imperial Units

int32

Specify the ID of the Fleet Admin or the Fleet Manager who is accessing this endpoint.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json